/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.datastructure
 * File:    MultiMap.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.datastructure;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Set;

/**
 * Maps one key to multiple values
 *
 *
 * @author tr
 *
 * @param <E>
 * @param <V>
 */
public abstract class MultiMap<K, V> {

	public abstract void put(K key, V value);
	public abstract ArrayList<V> get(K key);
	public abstract Set<K> keys();
	public abstract boolean hasKey(K key);
	public abstract K getKey(K key);
	public abstract Collection<ArrayList<V>> values();
	public abstract ArrayList<V> remove(K key);
	public abstract boolean isEmpty();
	public abstract boolean hasValues(K key);
	public abstract MultiMap<K, V> deepCopy();
	public abstract void clear();	
}
