/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.view.component
 * File:    ConnectionListRenderer.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.view.component;

import java.awt.Component;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import de.fhhannover.inform.ifmap.communication.Connection;
import de.fhhannover.inform.ifmap.util.ResourceHelper;

@SuppressWarnings("serial")
public class ConnectionListRenderer extends JLabel implements ListCellRenderer {

	private ImageIcon redIcon = ResourceHelper.getImage("bullet_red.png");
	
	private ImageIcon greenIcon = ResourceHelper.getImage("bullet_green.png");
	
//	private ImageIcon yellowIcon = new ImageIcon(getClass().getClassLoader()
//			.getResource("ball_yellow_small.png"));
	
	public ConnectionListRenderer() {
		setOpaque(true);	
	}
	
	@Override
	public Component getListCellRendererComponent(JList list, Object value,
			int index, boolean isSelected, boolean cellHasFocus) {
		//int selectedIndex = ((Integer)value).intValue();
		Connection con = (Connection)value;
		if(con.isConnected()){
			setIcon(greenIcon);
		}
		else {
			setIcon(redIcon);
		}
		setText(value.toString());
		if (isSelected) {
            setBackground(list.getSelectionBackground());
            setForeground(list.getSelectionForeground());
        } else {
            setBackground(list.getBackground());
            setForeground(list.getForeground());
        }
		setFont(list.getFont());
		return this;
	}

}
